@echo off



rem ===Installationsprogramm fr Waffle 1.65 und Helldiver 1.07================
rem ===Version 1.02d ==========================================================
rem ===Letzte nderung: 14.10.94===============================================
rem ===Autor: Ralph Ballier, Berlin (Ballier@Lise-Meitner.BR.Schule.DE)========
rem ===Benutzung und Weitergabe (nur komplettes Paket) im nichtkommerziellen
rem ===Bereich kostenlos gestattet.



rem ============Initialisierung und berprfung der Parameter (START)==========
  set oldpath=%path%
  if not "%2" == "" goto zuviel
  if "%1" == "" goto nopfad2
  if "%1" == "kurz" goto kurz
  set zielverz=%1
  echo %zielverz% > zwischen
  sed "1,$s/^.\(.\).*/set doppelp=\1/" zwischen > zwischen.bat
  call zwischen
  if not "%doppelp%" == ":" goto nopfad
  del zwischen
  del zwischen.bat
rem ============Initialisierung und berprfung der Parameter (STOP)===========



rem ============Start und Ziel werden zugreifbar gemacht (START)===============
  echo set zielverz=%zielverz% > zielverz
  sed "1,$s/^\(.*\)\\ $/\1/" zielverz > zwischen
  sed "1,$s/ *$//" zwischen > zielverz.bat
  call zielverz
  cd > startver
  sed "1,$s/^\(..\).*/\1/" startver > startlau.bat
  sed "1,$s/.*/cd &/" startver > startver.bat
  del startver
  if not exist %zielverz%\nul md %zielverz%
  if not exist %zielverz%\nul goto noverz2
rem ============Start und Ziel werden zugreifbar gemacht (STOP)================



rem ============Erffnungsbildschirm (START)===================================
  cls
  echo.
  echo.
  echo.
  echo.
  echo             Installationsprogramm fr Waffle 1.65 und Helldiver 1.07
  echo                           Version 1.02d vom 14.10.94
  echo                         Autor: Ralph Ballier, Berlin 
  echo                         (ballier@bics.be.schule.de)
  echo.
  echo               Benutzung und Weitergabe (nur komplettes Paket) im 
  echo                 nichtkommerziellen Bereich kostenlos gestattet.
  echo.
  echo.
  echo           Dieses Installationsprogramm wurde unter MS-DOS 5.0 erstellt
  echo              und sollte auerhalb von MS-Windows gestartet werden.
  echo.
  echo.
  echo.
  echo.
  echo               Die Internet-Software (Waffle, Helldiver) wird im 
  echo                      Verzeichnis %zielverz% angelegt.
  echo.
  echo.
  pause
rem ============Erffnungsbildschirm (STOP)====================================



rem ================berprfung auf Vollstndigkeit (START)====================
  cls
  echo.
  echo                     berprfung auf Vollstndigkeit des Programmpaketes...
  if not exist waffle.zip goto nowaff
  if not exist helldiv.zip goto nohell
  if not exist config.bat goto noconf
  if not exist sed.exe goto nosed
  if not exist pkunzip.exe goto nouzip
  if not exist users.bat goto nousers
  if not exist liesmich goto noliesm
  if not exist address.bk goto noaddr
  if not exist uue.exe goto nouue
  if not exist uud.exe goto nouud
  echo                     Das Paket ist vollstndig.
  echo.
rem ================berprfung auf Vollstndigkeit (STOP)=====================



rem ================Anlegen der Verzeichnisse (START)==========================
  echo                     Anlegen von %zielverz%\itmp
  md %zielverz%\itmp
  set path=%zielverz%\itmp;%path%
  echo                     Anlegen von %zielverz%\temp...
  md %zielverz%\temp
  echo                     Anlegen von %zielverz%\waffle...
  md %zielverz%\waffle
  echo                     Anlegen von %zielverz%\helldiv...
  md %zielverz%\helldiv
  echo                     Anlegen von %zielverz%\user...
  md %zielverz%\user
  echo                     Anlegen von %zielverz%\news...
  md %zielverz%\news
  echo                     Anlegen von %zielverz%\spool...
  md %zielverz%\spool
  echo.
rem ================Anlegen der Verzeichnisse (STOP)===========================



rem ================Kopieren von Hilfsdateien (START)==========================
  echo                     Kopieren von Hilfsdateien in %zielverz%\itmp...
  copy sed.exe %zielverz%\itmp > nul:
  copy config.bat %zielverz%\itmp\config.dst > nul:
  copy pkunzip.exe %zielverz%\itmp > nul:
  copy uue.exe %zielverz%\itmp > nul:
  copy uud.exe %zielverz%\itmp > nul:
  copy users.bat %zielverz%\itmp > nul:
  copy startlau.bat %zielverz%\itmp > nul:
  copy startver.bat %zielverz%\itmp > nul:
  if exist password copy password %zielverz%\itmp > nul:
  if exist index copy index %zielverz%\itmp > nul:
  copy address.bk %zielverz%\itmp > nul:
  del startlau.bat
  del startver.bat
rem ================Kopieren von Hilfsdateien (STOP)===========================



rem ================Ermittlung des Ziellaufwerkes (START)======================
  echo %zielverz% > %zielverz%\itmp\zielverz
  sed "1,$s/^\(..\).*/\1/" %zielverz%\itmp\zielverz > %zielverz%\itmp\ziellauf.bat
rem ================Ermittlung des Ziellaufwerkes (STOP)=======================



rem ================Zielverzeichnis, umgeformt fuer sed (START)================
  sed "1,$s/^\(.*\)$/set zielsed=\1/" %zielverz%\itmp\zielverz > %zielverz%\itmp\zielsed
  sed "1,$s/\\/\\\\/g" %zielverz%\itmp\zielsed > %zielverz%\itmp\zielsed.tmp
  sed "1,$s/ *$//" %zielverz%\itmp\zielsed.tmp > %zielverz%\itmp\zielsed.bat
  del %zielverz%\itmp\zielsed
  del %zielverz%\itmp\zielsed.tmp
  call %zielverz%\itmp\zielsed
rem ================Zielverzeichnis, umgeformt fuer sed (STOP)=================



rem ==========Kopieren von Waffle und Helldiver (START)========================
  echo.
  echo                     Waffle und Helldiver werden in                 
  echo                     ihre Verzeichnisse kopiert...
  echo.
  copy waffle.zip %zielverz%\waffle > nul:
  copy helldiv.zip %zielverz%\helldiv > nul:
rem ==========Kopieren von Waffle und Helldiver (STOP)=========================



rem =========Entpacken von Waffle und Helldiver (START)========================
  echo                     Waffle wird entpackt...
  echo.
  rem =======Wechsel des Laufwerkes===========
  call %zielverz%\itmp\ziellauf.bat
  cd %zielverz%\waffle
  pkunzip -do waffle > nul:
  del waffle.zip
  echo                     Helldiver wird entpackt...
  echo.
  cd %zielverz%\helldiv
  pkunzip -do helldiv > nul:
  del helldiv.zip
rem =========Entpacken von Waffle und Helldiver (STOP)=========================



rem ==============Vorbereiten von config.bat (START)===========================
  cd %zielverz%\waffle\system
  copy %zielverz%\itmp\config.dst config.bat > nul:
  rem ===Sprungziel :kurz, wenn Aufruf als "install kurz"====
  if not "%1" == "kurz" goto nikurz
:kurz
  if not exist zielverz.bat goto nozielv
  call zielverz
  if "%1" == "kurz" set path=%zielverz%\itmp;%path%
  if not exist %zielverz%\waffle\system\nul goto noverz
  copy config.bat %zielverz%\waffle\system > nul:
  call %zielverz%\itmp\ziellauf.bat
  cd %zielverz%\waffle\system
  call zielsed
rem ==============Vorbereiten von config.bat (STOP)============================


:nikurz
rem ==============Kopieren eventuell bereits eingerichteter Accounts (START)===
  if exist %zielverz%\itmp\password copy %zielverz%\itmp\password %zielverz%\waffle\admin > nul:
  if exist %zielverz%\itmp\index copy %zielverz%\itmp\index %zielverz%\waffle\admin > nul:
rem ==============Kopieren eventuell bereits eingerichteter Accounts (STOP)====


rem ==============Kopieren von uue und uud(START)==============================
  copy %zielverz%\itmp\uue.exe %zielverz%\waffle\bin > nul:
  copy %zielverz%\itmp\uud.exe %zielverz%\waffle\bin > nul:
rem ==============Kopieren von uue und uud(STOP)===============================


rem ==============Setzen der Umgebungsvariablen gem config.bat (START)=======
cls
  if "%1" == "kurz" echo                     Kurzinstallation
  echo.
  echo                     Setzen von Umgebungsvariablen und Durchfhrung 
  echo                     der Konfiguration...
  call config.bat
  echo.
  echo.
  echo                     Konfiguration fr %node% 
  echo.
  echo                     %organ%
  echo.
  echo.
rem ==============Setzen der Umgebungsvariablen gem config.bat (STOP)========


rem ==============Konfiguration der Datei static (START)=======================
  echo                     %zielverz%\waffle\system\static wird konfiguriert...
  cd %zielverz%\waffle\system
  copy static static.tmp > nul:
  sed "1,$s/^node:.*/node:	%node%/" static.tmp > zwischen
  copy zwischen static.tmp > nul:
  sed "1,$s/^uucpname:.*/uucpname:	%uucpname%/" static.tmp > zwischen
  copy zwischen static.tmp > nul:
  sed "1,$s/^alias:.*/alias:	%uucpname%.UUCP/" static.tmp > zwischen
  copy zwischen static.tmp > nul:
  sed "1,$s/^smarthost:.*/smarthost:	%smarthost%/" static.tmp > zwischen
  copy zwischen static.tmp > nul:
  sed "1,$s/^backbone:.*/backbone:	%smarthost%/" static.tmp > zwischen
  copy zwischen static.tmp > nul:
  sed "1,$s/^organ:.*/organ:	%organ%/" static.tmp > zwischen
  copy zwischen static.tmp > nul:
  sed "1,$s/^device:.*/device:	%device%/" static.tmp > zwischen
  copy zwischen static.tmp > nul:
  sed "1,$s/^speed:.*/speed:	%speed%/" static.tmp > zwischen
  copy zwischen static.tmp > nul:
  sed "1,$s/^spool:.*/spool:	%zielsed%\\spool/" static.tmp > zwischen
  copy zwischen static.tmp > nul:
  sed "1,$s/^temporary:.*/temporary:	%zielsed%\\temp/" static.tmp > zwischen
  copy zwischen static.tmp > nul:
  sed "1,$s/^user:.*/user:	%zielsed%\\user/" static.tmp > zwischen
  copy zwischen static.tmp > nul:
  sed "1,$s/^waffle:.*/waffle:	%zielsed%\\waffle/" static.tmp > zwischen
  copy zwischen static.tmp > nul:
  copy static.tmp static > nul:
  del static.tmp
  del zwischen
rem ============Konfiguration der Datei static (STOP)==========================



rem ============Konfiguration der Datei usenet (START)=========================
  echo                     %zielverz%\waffle\system\usenet wird konfiguriert...
  sed "1,$s/^DEFAULT  *\/dir=.*/DEFAULT \/dir=\"%zielsed%\\news\"/" usenet > zwischen
  copy zwischen usenet > nul:
  del zwischen
rem ============Konfiguration der Datei usenet (STOP)==========================



rem ============Konfiguration der Datei feeds (START)==========================
  echo                     %zielverz%\waffle\system\feeds wird konfiguriert...
  echo %smarthost% /batch * > feeds
rem ============Konfiguration der Datei feeds (STOP)===========================



rem ============Konfiguration der Datei systems (START)========================
  echo                     %zielverz%\waffle\uucp\systems wird konfiguriert...
  echo %smarthost%      Any     g       Hayes%speed%%dialmode%  toUnix  %telno1% %login% %password% > ..\uucp\systems
  if not %telno2% == "" echo %smarthost%      Any     g       Hayes%speed%%dialmode%  toUnix  %telno2% %login% %password% >> ..\uucp\systems
  if not %telno3% == "" echo %smarthost%      Any     g       Hayes%speed%%dialmode%  toUnix  %telno3% %login% %password% >> ..\uucp\systems
rem ============Konfiguration der Datei systems (STOP)=========================



rem ============Konfiguration der Datei dialers (START)========================
  echo                     %zielverz%\waffle\uucp\dialers wird konfiguriert...
  cd ..\uucp
  sed "1,$s/ AT[^ ]* / %modeminit% /" dialers > zwischen
  copy zwischen dialers > nul:
  del zwischen
rem ============Konfiguration der Datei dialers (STOP)=========================



rem ============nderungen von autoexec.bat (START)============================
  echo.
  echo                     %autoexec% wird konfiguriert (Sicherheitskopie 
  echo                     wird unter %zielverz%\itmp angelegt)
  copy %autoexec% %zielverz%\itmp\autoexec.sav > nul:
  cd %zielverz%\itmp
  rem ===========mehrfache Konfiguration wird vermieden=========
  sed "/rem ===waffle===/,/rem ===waffle===/d" autoexec.sav > zwischen 
  echo rem ===waffle=== >> zwischen
  echo set waffle=%zielverz%\waffle\system\static >> zwischen
  echo set path=%zielverz%\waffle\bin;%%path%% >> zwischen
  echo rem ===waffle=== >> zwischen
  copy zwischen %autoexec% > nul:
  del zwischen
  echo.
rem ============nderungen von autoexec.bat (STOP)=============================



rem ============Einrichten von Heimatverzeichnissen (START)====================
  call users %users%
rem ============Einrichten von Heimatverzeichnissen (STOP)=====================



rem ============Schlu (START)=================================================
  pause
  cls
  echo.
  echo.
  echo                     Drei Dinge bleiben jetzt noch zu tun:
  echo.
  echo                     1.: Das System mu rebootet werden, um das neue 
  echo                         autoexec.bat wirksam werden zu lassen;
  echo.
  echo                     2.:
  echo                         %zielverz%\helldiv\helldiv.exe
  echo.
  echo                         mu in gewohnter Weise unter MS-Windows installiert 
  echo                         werden, so da dieses Programm per Mausklick 
  echo                         ausgefhrt werden kann (siehe ggf. MS-Windows-Handbuch);
  echo.
  echo                     3.: Es empfiehlt sich dringend, neben dem bereits
  echo                         vorhandenen User "system" weitere User
  echo                         einzurichten (siehe Datei "liesmich").
  echo.
  pause
  cls
  echo.
  echo.
  echo                       Im brigen ist die Installation abgeschlossen. 
  echo.
  echo                       Anklicken des Helldiver-Symbols unter MS-Windows 
  echo                       fhrt zur Anmeldemaske (hier fhrt "Login: system" 
  echo                       und "Password: system" weiter.)
  echo.
  echo                       Zum Starten der Datenbertragung mu auf DOS-Ebene
  echo                       "poll" eingegeben werden. Alternativ kann die Datei
  echo.
  echo                          %zielverz%\waffle\bin\poll.bat
  echo.                       
  echo                       unter MS-Windows installiert werden.
  echo.
  echo.
  echo                                !!!REBOOTEN NICHT VERGESSEN!!!
  echo.
  echo.
  echo                                        VIEL ERFOLG!!!
  echo.
  echo.
  rem ============Schlu (STOP)==================================================



rem ============Rcksetzen der Umgebungsvariablen (START)======================
  set ZIELVERZ=
  set ZIELSED=
  set NODE=
  set SMARTHOST=
  set DEVICE=
  set SPEED=
  set MODEMINIT=
  set DIALMODE=
  set LOGIN=
  set PASSWORD=
  set AUTOEXEC=
  set USERS=
  set UUCPNAME=
  set ORGAN=
  set DOPPELP=
  set TELNO1=
  set TELNO2=
  set TELNO3=
  goto ende
rem ============Rcksetzen der Umgebungsvariablen (STOP)=======================



rem ============Fehlerbehandlung (START)=======================================
:zuviel
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo        Nur *ein* Parameter ist beim Aufruf von "install" zulssig.
echo.
goto ende
:nowaff
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo                           waffle.zip fehlt
echo.
goto ende
:nohell
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo                           helldiv.zip fehlt
echo.
goto ende
:noconf
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo                           config.bat fehlt
echo.
goto ende
:nosed
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo                            sed.exe fehlt
echo.
goto ende
:nouzip
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo                           pkunzip.exe fehlt
echo.
goto ende
:nousers
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo                           users.bat fehlt
echo.
goto ende
:noliesm
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo                           liesmich fehlt
echo.
goto ende
:noverz
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo                  Verzeichnis "system" nicht vorhanden
echo.
goto ende2
:nozielv
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo          Installationsverzeichnis kann nicht ermittelt werden.
echo.
goto ende2
:noaddr
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo                       Datei "address.bk" fehlt
echo.
goto ende
:nouue
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo                       Datei "uue.exe" fehlt
echo.
goto ende
:nouud
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo                       Datei "uud.exe" fehlt
echo.
goto ende
:nopfad2
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo            Angabe des Installationsverzeichnisses fehlt.
echo.
goto ende2
:nopfad
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo          %1 ist kein gltiger Pfad: das Laufwerk fehlt.
echo.
goto ende2
:noverz2
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo          %1 kann nicht mit "mkdir %1" angelegt werden.
echo.
goto ende2
:nodatei
echo.
echo.
echo                             !!!FEHLER!!!
echo.
echo                   Datei "config.bat" nicht vorhanden
echo.
rem ============Fehlerbehandlung (STOP)========================================



:ende
call startlau
call startver
:ende2
set path=%oldpath%
set oldpath=
